Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2021-02368, UID# 3010
App. Status: Expired

Valid: 04/05/2021 - 04/08/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2714 (04/03/2021)

Charge Cost Quantity Total
Non-Taxable
added 04/03/2021 10:49 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 04/03/2021 10:49 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 04/03/2021$60.00
Due$0.00
Action: Print  

Invoice #2715 (04/05/2021)

Charge Cost Quantity Total
Non-Taxable
added 04/05/2021 9:12 AM

Fee for over length permit

$30.00 x 1 $30.00
added 04/05/2021 9:12 AM

Fee for over width permit

$30.00 x 1 $30.00
added 04/05/2021 9:12 AM

For movement on Plant Road

$50.00 x 1 $50.00
Grand Total
Total $110.00
Payment 04/05/2021$110.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantCody J. Idso - 04/03/2021 10:50 AM
80b092b2fff8095a31a318fcacf1a080
13ce98557d0a1d75112d33dd1a71c0c9
 
#1 Permit Issuing OfficialRachel Grimm - 04/05/2021 9:14 AM
e54a712375e944aadda854a73209b11b
3a64179d4e6998374fccc10f99051485
 
Permit has been approved. All signatures have been obtained.